# Uses of Class
org.eclipse.ui.navigator.CommonViewer

Packages that use CommonViewer
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.

## Uses of CommonViewer in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return CommonViewer
Modifier and Type
Method
Description
`protected CommonViewer`
CommonNavigator.`createCommonViewer(Composite aParent)`
Creates and initializes an instance of `CommonViewer`.
`protected CommonViewer`
CommonNavigator.`createCommonViewerObject(Composite aParent)`
Constructs and returns an instance of `CommonViewer`.
`CommonViewer`
CommonNavigator.`getCommonViewer()`
Provides access to the commonViewer used by the current CommonNavigator.

## Uses of CommonViewer in org.eclipse.ui.navigator.resources

Methods in org.eclipse.ui.navigator.resources that return CommonViewer
Modifier and Type
Method
Description
`protected CommonViewer`
ProjectExplorer.`createCommonViewer(Composite aParent)`